[Why]
If user only want generate a rootfs without testing, he can not write
submit related fields in the job.yaml.
Signed-off-by: Yu Chuan <13186087857(a)163.com>
---
jobs/iso2rootfs.yaml | 2 ++
tests/iso2rootfs | 22 +++++++++++++++-------
2 files changed, 17 insertions(+), 7 deletions(-)
diff --git a/jobs/iso2rootfs.yaml b/jobs/iso2rootfs.yaml
index 644c64be06b4..d4f0ffc0e80c 100644
--- a/jobs/iso2rootfs.yaml
+++ b/jobs/iso2rootfs.yaml
@@ -11,6 +11,8 @@ iso2rootfs:
rootfs_path:
initrd_http_host:
initrd_http_port:
+
+ # submit test yaml related fields
test_yaml:
test_os:
test_os_arch:
diff --git a/tests/iso2rootfs b/tests/iso2rootfs
index e8a027b0dad2..f864188a8b02 100755
--- a/tests/iso2rootfs
+++ b/tests/iso2rootfs
@@ -53,12 +53,6 @@ check_yaml_vars()
"rootfs_path"
"initrd_http_host"
"initrd_http_port"
- "test_yaml"
- "test_os"
- "test_os_arch"
- "test_os_version"
- "test_os_mount"
- "test_testbox"
)
local yaml_t
@@ -443,6 +437,20 @@ submit_test_job_yaml()
[ -d "${LKP_SRC}" ] || die "cannot find value of var: LKP_SRC."
+ local test_yaml_vars=(
+ "test_os"
+ "test_os_arch"
+ "test_os_version"
+ "test_os_mount"
+ "test_testbox"
+ )
+
+ local yaml_t
+ for yaml_t in "${test_yaml_vars[@]}"
+ do
+ [ -n "$(eval echo "\$${yaml_t}")" ] || die "cannot fine value of var: ${yaml_t}."
+ done
+
cd "${LKP_SRC}" && {
chmod +x ./sbin/install-dependencies.sh
./sbin/install-dependencies.sh
@@ -492,7 +500,7 @@ main()
run_qcow2rootfs
test_rootfs
- submit_test_job_yaml
+ [ -z ${test_yaml} ] || submit_test_job_yaml
post_works
}
--
2.23.0